Skip to content
View as Markdown

POST Save Funnel Sequences​

POST
/funnels/{id}/sequences

Save or update the sequences (action steps) for a specific automation funnel. This replaces all existing sequences with the provided data and returns the formatted sequence tree with conditional branches.

Authorizations​

ApplicationPasswords

WordPress Application Passwords — use Basic auth with your WordPress username and an application password in the format: username:application_password

Type
API Key (header: Authorization)

Parameters​

Path Parameters

id*

The funnel ID.

Type
integer
Required

Request Body​

application/json
JSON
{
"sequences": [
{
"action_name": "string",
"title": "string",
"type": "string",
"settings": {
},
"delay": 0,
"parent_id": 0,
"condition_type": "string"
}
],
"conditions": [
{
}
],
"settings": {
},
"status": "string"
}

Responses​

Sequences saved successfully.

application/json
JSON
{
"sequences": [
{
"id": 0,
"funnel_id": 0,
"action_name": "string",
"title": "string",
"type": "string",
"settings": {
},
"conditions": [
{
}
],
"sequence": 0,
"delay": 0,
"c_delay": 0,
"status": "string",
"parent_id": 0,
"condition_type": "string",
"children": {
"yes": [
],
"no": [
]
},
"created_by": 0,
"created_at": "string",
"updated_at": "string"
}
],
"message": "string"
}

Playground​

Authorization
Variables
Key
Value
Body

Samples​

Powered by VitePress OpenAPI